---
title: GET Transactions
slug: get-transactions
icon: 🟦
createdAt: 2022-03-23T02:26:54.000Z
---

:::ApiMethodV2
```json
{
  "tab": "examples",
  "url": "https://test-api.featherpay.io/api/v1/payment-transactions/all?startDate={startDate}&endDate={endDate}",
  "name": "Get Payment Transactions",
  "method": "GET",
  "request": {
    "pathParameters": [],
    "queryParameters": [],
    "headerParameters": [],
    "bodyDataParameters": [],
    "formDataParameters": []
  },
  "results": {
    "languages": [
      {
        "id": "DFELkMffjU32TVCo8GQLa",
        "code": "[\n  {\n    \"id\": \"01FY9M7W2N924TYACHWRPJGP4A\",\n    \"createdDt\": \"2022-03-16T15:06:17.557169\",\n    \"updatedDt\": \"2022-03-16T15:06:17.557169\",\n    \"createdBy\": \"tester@featherpay.io\",\n    \"updatedBy\": \"tester@featherpay.io\",\n    \"txnSource\": \"Captured\",\n    \"amount\": 22413,\n    \"paymentMethod\": \"Half Now Half Later\",\n    \"patientFirstName\": \"James\",\n    \"patientLastName\": \"Holden\",\n    \"patientEmail\": \"james.holden@rocinante.com\",\n    \"orderPaymentType\": \"HalfNowOrderPayment\",\n    \"orderId\": \"01FY9KYQXD9VJT7B6F0F607E59\",\n    \"storeId\": \"01FDVF4Z7YHNMZXJ7DBT2H4SW9\"\n  },\n  {\n    \"id\": \"01FXTJA6EY8GXANQ8BW48J7ZSE\",\n    \"createdDt\": \"2022-03-10T18:44:00.179585\",\n    \"updatedDt\": \"2022-03-10T18:44:00.179585\",\n    \"createdBy\": \"tester@featherpay.io\",\n    \"updatedBy\": \"tester@featherpay.io\",\n    \"txnSource\": \"Captured\",\n    \"amount\": 20538,\n    \"paymentMethod\": \"Credit / Debit Card\",\n    \"patientFirstName\": \"Joseph\",\n    \"patientLastName\": \"Miller\",\n    \"patientEmail\": \"joseph.miller@ceres.com\",\n    \"orderPaymentType\": \"UsaEPayOrderPayment\",\n    \"orderId\": \"01FXTJ7DBW97H8FNEA67AS1ZAT\",\n    \"storeId\": \"01FDVF4Z7YHNMZXJ7DBT2H4SW9\"\n  }",
        "language": "200",
        "customLabel": ""
      },
      {
        "id": "16mP3WJee14n7xym3I0We",
        "code": "{\n  \"message\": \"Can only query on a date range 90 days apart.\"\n}",
        "language": "412",
        "customLabel": ""
      }
    ],
    "selectedLanguageId": "16mP3WJee14n7xym3I0We"
  },
  "examples": {
    "languages": [
      {
        "id": "81w8LLUOGoM639yW8s1Sv",
        "code": "curl --request GET \\\n  --url 'http://test-api.featherpay.io/api/v1/payment-transactions/all?startDate=2022-03-23T04:00:00Z&endDate=2022-03-25T03:59:59Z' \\\n  --header 'content-type: application/json;charset=UTF-8' \\\n  --header 'accept: application/json' \\\n  --header 'X-Api-Key: {Secret API Key}' \\\n  --header 'X-Store-Id: {Store ULID}'",
        "language": "curl",
        "customLabel": ""
      }
    ],
    "selectedLanguageId": "81w8LLUOGoM639yW8s1Sv"
  },
  "description": "Get Payment Transactions for a given date range.  Dates must include the full timestamp in ISO 8601 format: YYYY-MM-DDTHH:MM:SSZ (e.g., 2025-05-21T04:00:00Z).",
  "currentNewParameter": {
    "label": "Body Parameter",
    "value": "bodyDataParameters"
  }
}
```
:::





